# Get ROOL Build system repositories
# (C) 2022 Herbert zur Nedden

$BasePath = $PSScriptRoot

function Gitty($pack,$folder) {

	echo "git $pack"
	git config --global core.autocrlf false
	$url  = "https://gitlab.riscosopen.org/Products/" + $pack + ".git"
	$rep = $BasePath + "\" + $folder
	
	if ((Test-Path $rep) -ne $true) { & git clone $url $rep }
	cd $rep
	& git pull
	& git submodule update --init --remote
	cd $BasePath
}

Gitty "Disc" "Disc"
Gitty "All" "iMX6"
Gitty "All" "Tungsten"
