@echo off
REM Start RPCEmu
REM (C) 2022 Herbert zur Nedden

set scriptpath=%~dp0
cd /d "%scriptpath%"
cd ..
REM cd /D "X:\VMs\RISC OS"

set n=%1

set y=X
for %%x IN (roms\*riscos) DO set y=%%~nxx
set o=%y:~0,1%

REM Same one ...
if %o%==%n% goto gogo

REM Old unknown...
if %o%==X goto noold

REM Backup old config
copy cmos.ram HzN\%o%-cmos.ram >nul 2>&1
copy rpc.cfg HzN\%o%-rpc.cfg >nul 2>&1

:noold

REM Activate new config
copy HzN\%n%-cmos.ram cmos.ram >nul 2>&1
copy HzN\%n%-rpc.cfg rpc.cfg >nul 2>&1

REM Activate ROM
del roms\*riscos >nul 2>&1
copy HzN\%n%-riscos roms\%n%-riscos >nul 2>&1

:gogo

REM set up hostfs
rmdir hostfs >nul 2>&1
if %n%==4 mklink /d hostfs hostfs-45 >nul 2>&1
if %n%==5 mklink /d hostfs hostfs-45 >nul 2>&1
if %n%==c mklink /d hostfs hostfs-c >nul 2>&1

start RPCEmu-Recompiler.exe
goto end

:end
